import StatelessComponent from '../StatelessComponent';
import { classNamesFunction } from '@uifabric-vue/utilities';
const getClassNames = classNamesFunction();
export class VerticalDividerBase extends StatelessComponent {
    render(h, ctx) {
        const { styles, theme, className } = ctx.props;
        const classNames = getClassNames(styles, { theme, className });
        return h('span', { class: classNames.wrapper }, [
            h('span', { class: classNames.divider }),
        ]);
    }
}
//# sourceMappingURL=VerticalDivider.base.js.map