import { __decorate, __metadata } from "tslib";
import { Component, Prop } from 'vue-property-decorator';
import { classNamesFunction } from '@uifabric-vue/utilities';
import StatelessComponent from '../StatelessComponent';
const getClassNames = classNamesFunction();
let Text = class Text extends StatelessComponent {
    render(h, ctx) {
        const { theme, styles, block, nowrap, variant } = ctx.props;
        const classNames = getClassNames(styles, {
            theme,
            block,
            nowrap,
            variant,
        });
        return h('span', {
            ...ctx.data,
            class: classNames.root,
        }, ctx.children);
    }
};
__decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
], Text.prototype, "nowrap", void 0);
__decorate([
    Prop({ type: Boolean, default: false }),
    __metadata("design:type", Boolean)
], Text.prototype, "block", void 0);
__decorate([
    Prop({ type: String, default: 'medium' }),
    __metadata("design:type", String)
], Text.prototype, "variant", void 0);
Text = __decorate([
    Component
], Text);
export default Text;
//# sourceMappingURL=Text.view.js.map